
# guns-lite使用向导

* 基本准备
  * [基本环境准备](base/jdkAndMaven.md)
  * [目录结构](base/modules.md)
  * [前后端分离版](base/guns-admin-vuejs.md)

* [30分钟将本项目跑起来](quickstart/quickstart.md)
  * [克隆项目](quickstart/clone.md)
  * [初始化数据](quickstart/initDb.md)
  * [配置项目](quickstart/config.md)
  * [启动项目](quickstart/startup.md)

* 开发第一个功能
 * [建表](hello_guns/create_table.md)
 * [基础代码](hello_guns/base.md)
 * [list](hello_guns/list.md)
 * [add](hello_guns/add.md)
 * [delete](hello_guns/delete.md)
 * [update](hello_guns/update.md)
 * [添加菜单和分配权限](hello_guns/menuAndPermission.md)
 
* 基本功能介绍
  * [模块介绍](feature/modules.md)
  * [菜单管理](feature/menu.md)
  * [字典管理](feature/dict.md)
  * [日志管理](feature/log.md)
  * [权限管理](feature/permissionMgr.md)
  * [监控管理](feature/monitor.md)
  * [系统配置](feature/sysConfig.md)

* 分页查询
  * [简单查询](page/simple.md)
  * [复杂查询](page/complex.md)
  

* 系统配置全解
  * [application.properties](sysconfig/application.md)
  * [Web config](sysconfig/web.md)
  * [Shiro config](sysconfig/shiro.md)
  * [Beetl config](sysconfig/beetl.md)
  * [EhCache config](sysconfig/ehcache.md)
  * [Swagger config](sysconfig/swagger.md)

* 权限控制
  * [控制菜单](permission/menu.md)
  * [后台增强权限控制](permission/backPermission.md)
  * [spring boot 集成shiro权限控制](permission/shiro.md)
  
* 日志记录
  * [业务日志](log/business.md)
  * [异常日志](log/error.md)

* 缓存使用
  * [缓存工具类](cache/tool.md)
  * [cache集成](cache/springCache.md)
  * [缓存变更管理](cache/change.md)
  
    